Authorize transaction
curl --request POST \
--url https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1/transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIdentifier": "987654321",
"paymentMethods": [
"OPERATORBILLING"
],
"paymentItem": {
"itemName": "My item",
"itemDescription": "My item description",
"itemCategory": "1",
"externalPaymentItemId": "abcd-1234",
"price": {
"grossAmount": "3.99",
"currencyIso3": "USD",
"financialBreakdown": {
"taxAmount": "0"
}
}
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIdentifier: '987654321',
paymentMethods: ['OPERATORBILLING'],
paymentItem: {
itemName: 'My item',
itemDescription: 'My item description',
itemCategory: '1',
externalPaymentItemId: 'abcd-1234',
price: {grossAmount: '3.99', currencyIso3: 'USD', financialBreakdown: {taxAmount: '0'}}
}
})
};
fetch('https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1/transaction"
payload = {
"userIdentifier": "987654321",
"paymentMethods": ["OPERATORBILLING"],
"paymentItem": {
"itemName": "My item",
"itemDescription": "My item description",
"itemCategory": "1",
"externalPaymentItemId": "abcd-1234",
"price": {
"grossAmount": "3.99",
"currencyIso3": "USD",
"financialBreakdown": { "taxAmount": "0" }
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"responseCode": "OK",
"responseMessage": "Success.",
"transactionId": 123456789
}Authorize transaction
Resource used to authorize a transaction.
POST
https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1
/
transaction
Authorize transaction
curl --request POST \
--url https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1/transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIdentifier": "987654321",
"paymentMethods": [
"OPERATORBILLING"
],
"paymentItem": {
"itemName": "My item",
"itemDescription": "My item description",
"itemCategory": "1",
"externalPaymentItemId": "abcd-1234",
"price": {
"grossAmount": "3.99",
"currencyIso3": "USD",
"financialBreakdown": {
"taxAmount": "0"
}
}
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIdentifier: '987654321',
paymentMethods: ['OPERATORBILLING'],
paymentItem: {
itemName: 'My item',
itemDescription: 'My item description',
itemCategory: '1',
externalPaymentItemId: 'abcd-1234',
price: {grossAmount: '3.99', currencyIso3: 'USD', financialBreakdown: {taxAmount: '0'}}
}
})
};
fetch('https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1/transaction"
payload = {
"userIdentifier": "987654321",
"paymentMethods": ["OPERATORBILLING"],
"paymentItem": {
"itemName": "My item",
"itemDescription": "My item description",
"itemCategory": "1",
"externalPaymentItemId": "abcd-1234",
"price": {
"grossAmount": "3.99",
"currencyIso3": "USD",
"financialBreakdown": { "taxAmount": "0" }
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"responseCode": "OK",
"responseMessage": "Success.",
"transactionId": 123456789
}Authorizations
This API uses OAuth 2 with clientCredentials.
Headers
Request unique identifier. If present, this id will be used for idempotency.
Body
application/json

